%define mainversion 2.0
%define extra 0.2.0

Name:           PySolFC-cardsets
Version:        2.2
Release:    1%{?dist}
Summary:        Various cardsets for PySolFC
License:        GPL-2.0-or-later
URL:            https://pysolfc.sourceforge.io/
Source0:        https://github.com/shlomif/PySolFC-Cardsets/archive/%{version}/PySolFC-Cardsets-%{version}.tar.gz
Source1:        https://github.com/shlomif/PySol-Extra-Mahjongg-Cardsets/archive/%{extra}/PySol-Extra-Mahjongg-Cardsets-%{extra}.tar.gz
BuildArch:      noarch

Requires:       PySolFC >= %{mainversion}

%description
This package contains extras cardsets for PySolFC.

%prep
%setup -q -n PySolFC-Cardsets-%{version} -a1

%build

%install
install -d -m755 %{buildroot}%{_datadir}/PySolFC
rm -rf cardset-2000 cardset-crystal-mahjongg cardset-dashavatara-ganjifa cardset-dashavatara-ganjifa-xl \
       cardset-dondorf cardset-gnome-mahjongg-1 cardset-hanafuda-200-years cardset-hexadeck \
       cardset-matrix cardset-mughal-ganjifa cardset-mughal-ganjifa-xl cardset-oxymoron \
       cardset-standard cardset-tuxedo cardset-vienna-2k

cp -a cardset-* %{buildroot}%{_datadir}/PySolFC
cp -a PySol-Extra-Mahjongg-Cardsets-0.2.0/Lost-Mahjongg-Cardsets/cardset-* %{buildroot}%{_datadir}/PySolFC


find %{buildroot}%{_datadir}/PySolFC -type f -name 'COPYRIGHT' -exec chmod 0644 '{}' \;

%files
%{_datadir}/PySolFC/cardset-*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-1
- initial build
